#include <bits/stdc++.h>
using namespace std;

using ll = long long;
using ld = long double;

#define all(a) begin(a), end(a)
#define len(a) int((a).size())

#ifdef LOCAL
    #include "debug.h"
#else
    #define dbg(...)
    #define dprint(...)
    #define debug if constexpr (false)
    #define draw_tree(...)
    #define draw_array(...)
#endif // LOCAL

int main() {
    cin.tie(nullptr)->sync_with_stdio(false);

    int n, a, b;
    cin >> n >> a >> b;
    vector<int> v(n);
    for (auto &x : v) {
        cin >> x;
        x++;
    }
    if (n == 1) {
        cout << (v[0] <= 0 ? 0 : (v[0] + a - 1) / a) << '\n';
        return 0;
    }

    auto check = [&](int mid) {
        if (a == b) {
            for (auto &x : v) {
                if (x > 1ll * a * mid) {
                    return false;
                }
            }
            return true;
        }

        if (a > b) {
            ll tot = 0;
            for (auto &x : v) {
                ll rem = x - 1ll * mid * b;
                if (rem > 0) {
                    tot += (rem + (a - b) - 1) / (a - b);
                }
            }
            return tot <= mid;
        }

        ll tot = 0;
        for (auto &x : v) {
            ll rem = x - 1ll * mid * b;
            if (rem <= 0) {
                rem *= -1;
                tot += rem / (b - a);
            } else {
                return false;
            }
        }
        return tot >= mid;
    };

    int left = -1;
    int right = int(1e9) + 1;
    while (right - left > 1) {
        int mid = (left + right) >> 1;
        (check(mid) ? right : left) = mid;
    }
    cout << right << '\n';
}
