#include <bits/stdc++.h>

#include <algorithm>
#include <cmath>
#include <ctime>
#include <functional>
#include <iomanip>
#include <ios>
#include <queue>
#include <random>

using namespace std;

#define all(x) x.begin(), x.end()
#define rall(x) x.rbegin(), x.rend()
typedef long long ll;
typedef double db;
typedef unsigned long long ull;

inline void fast_io() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

int n, a, b;
map<int, int, greater<int>> t;

bool check(int mid) {
    ll cnt = 0;
    if (a == b) {
        ll temp = max_element(all(t))->first;
        temp = temp - (ll)b * mid;
        return temp < 0;
    }
    if (a > b) {
        int diff = a - b;
        for (auto& [t_i, ccnt] : t) {
            ll temp = t_i - (ll)b * mid;
            if (temp >= 0) {
                cnt += ((temp + diff) / diff) * ccnt;
            }
            if (cnt > mid) {
                return false;
            }
        }
        return cnt <= mid;
    } else {
        int diff = (b - a);
        for (auto& [t_i, ccnt] : t) {
            ll temp = t_i - (ll)b * mid;
            if (temp >= 0) {
                return false;
            }
            cnt += ((-temp) - 1) / diff * ccnt;
            if (cnt >= mid) {
                return true;
            }
        }
        return false;
    }
}

signed main() {
    fast_io();
    cin >> n >> a >> b;
    int c;
    for (int i = 0; i < n; ++i) {
        cin >> c;
        t[c]++;
    }
    int mid = 0;
    int mx = max_element(all(t))->first;
    for (; mid <= max(0, mx) + 1; ++mid) {
        if (check(mid)) {
            break;
        }
    }
    cout << mid;
    return 0;
}
