#include <cmath>
#include <iostream>
#include <vector>
using namespace std;

typedef long long ll;

ll maxn = -1, a, b;
vector<ll> temps;

bool check(ll x) {
    ll a_cnt = 0;
    for (int i = 0; i < temps.size(); i++) {
        if (b * x <= temps[i]) {
            if (a <= b) {
                return false;
            }
            ll delta = a - b;
            a_cnt += ((temps[i] - b * x + delta) / delta);
        }
    }
    return (a_cnt <= x);
}

ll bin_search() {
    ll l = -1, r = maxn / min(a, b) + 1, m;
    while (r - l > 1) {
        m = (r + l) / 2;
        if (check(m)) {
            r = m;
        } else {
            l = m;
        }
    }
    return r;
}

int main() {
    int n;
    cin >> n >> a >> b;
    temps.resize(n);
    for (int i = 0; i < n; i++) {
        cin >> temps[i];
        maxn = max(maxn, temps[i]);
    }
    cout << bin_search();
}
