#include <bits/stdc++.h>

#include "testlib.h"

using namespace std;

const int maxN = 100'000;
const int maxT = 1'000'000'000;

const int maxn[7] = {maxN, 5, maxN, maxN, 2, 500, maxN};

const int maxxT[7] = {maxT, 5, maxT, maxT, maxT, 500, maxT};

const int maxA[7] = {maxT, 5, 1, maxT, maxT, 500, maxT};

const int minA[7] = {1, 1, 1, 1, 1, 1, 1};

const int maxB[7] = {maxT, 5, 2, maxT, maxT, 500, maxT};

const int minB[7] = {1, 1, 2, 1, 1, 1, 1};

// compare A and B: -2 индиферентно, -1 A < B, 0 A = B, 1 A > B
const int AB[7] = {-2, -2, -1, 0, -2, -2, -2};

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    
    int group = atoi(validator.group().c_str());

    int n = inf.readInt(1, maxn[group], "n");
    inf.readSpace();
    int a = inf.readInt(minA[group], maxA[group], "a");
    inf.readSpace();
    int b = inf.readInt(minB[group], maxB[group], "b");
    inf.readEoln();
    switch (AB[group]) {
        case -1:
            ensuref(a < b, (string("a must be less then b ") + to_string(a) + " " + to_string(b)).c_str());
            break;
        case 0:
            ensuref(a == b, (string("a must be equal to b ") + to_string(a) + " " + to_string(b)).c_str());
            break;
        case 1:
            ensuref(a > b, (string("a must be greater then b ") + to_string(a) + " " + to_string(b)).c_str());
            break;
        default:
            break;
    }
    
    if (group == 4) {
        ensuref(n == 2, "In group 4 n must be equal to 2.");
    }
    
    for (int i = 0; i < n; i++) {
        int a = inf.readInt(-maxxT[group], maxxT[group], "t_i");
        if (i != n - 1) {
            inf.readSpace();
        }
    }
    inf.readEoln();
    inf.readEof();
    return 0;
}
