#include <bits/stdc++.h>

#include <algorithm>
#include <cmath>
#include <ctime>
#include <functional>
#include <iomanip>
#include <ios>
#include <queue>
#include <random>

using namespace std;

#define all(x) x.begin(), x.end()
#define rall(x) x.rbegin(), x.rend()
typedef long long ll;
typedef double db;
typedef unsigned long long ull;

inline void fast_io() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

int n, a, b;
vector<int> t;

bool check(int mid) {
    ll cnt = 0;
    if (a == b) {
        for (int i = 0; i < n; ++i) {
            ll temp = t[i] - (ll)b * mid;
            if (temp >= 0) {
                return false;
            }
        }
        return true;
    }
    if (a > b) {
        int diff = a - b;
        for (int i = 0; i < n; ++i) {
            ll temp = t[i] - (ll)b * mid;
            if (temp >= 0) {
                cnt += (temp + diff) / diff;
            }
        }
        return cnt <= mid;
    } else {
        int diff = (b - a);
        for (int i = 0; i < n; ++i) {
            ll temp = t[i] - (ll)b * mid;
            if (temp >= 0) {
                return false;
            }
            cnt += ((-temp) - 1) / diff;
        }
        return cnt >= mid;
    }
}

signed main() {
    fast_io();
    cin >> n >> a >> b;
    t.resize(n);
    for (auto& i : t) {
        cin >> i;
    }
    int l = -1, r = 1e9 + 1;
    while (r - l > 1) {
        int mid = (l + r) / 2;
        if (check(mid)) {
            r = mid;
        } else {
            l = mid;
        }
    }
    cout << r;
    return 0;
}
