#include <bits/stdc++.h>

#include <algorithm>
#include <cmath>
#include <ctime>
#include <functional>
#include <iomanip>
#include <ios>
#include <queue>
#include <random>

using namespace std;

#define all(x) x.begin(), x.end()
#define rall(x) x.rbegin(), x.rend()
typedef long long ll;
typedef double db;
typedef unsigned long long ull;

inline void fast_io() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

int n, a, b;
vector<int> t;
int mid;

bool solve(int i = 0) {
    if (i == mid) {
        for (auto& c : t) {
            if (c >= 0) {
                return false;
            }
        }
        return true;
    }
    bool ret = false;
    for (int c = 0; c < n; ++c) {
        t[c] -= b;
    }
    for (int c = 0; c < n; ++c) {
        t[c] += b - a;
        ret |= solve(i + 1);
        t[c] -= (b - a);
        if (ret) {
            break;
        }
    }
    for (int c = 0; c < n; ++c) {
        t[c] += b;
    }
    return ret;
}

signed main() {
    fast_io();
    cin >> n >> a >> b;
    t.resize(n);
    for (int i = 0; i < n; ++i) {
        cin >> t[i];
    }
    int mx = *max_element(all(t));
    for (; mid <= max(0, mx); ++mid) {
        if (solve()) {
            break;
        }
    }
    cout << mid;
    return 0;
}
